Name:          geodb
Version:       0.8
Release:       1%{?dist}
Summary:       Spatial database bindings for Java
License:       MIT
URL:           https://github.com/jdeolive/geodb/wiki
Source0:       https://github.com/jdeolive/geodb/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(com.vividsolutions:jts)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sourceforge.hatbox:hatbox)
BuildRequires: mvn(net.sourceforge:henplus)

BuildArch:     noarch

%description
GeoDB is a spatial extension of H2, the Java SQL database.
GeoDB utilizes the JTS library as its geometry engine and
the Hatbox library for spatial indexing support.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Remove unwanted plugins
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-dependency-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-dependency-plugin core
%pom_remove_plugin :maven-source-plugin core

%mvn_file org.opengeo:%{name} %{name}
%mvn_file org.opengeo:%{name}-app %{name}-app

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%jpackage_script geodb.Prompt "" "" %{name}:%{name}-app:h2:hatbox:henplus:jts %{name} true

%files -f .mfiles
%{_bindir}/%{name}
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Apr 29 2015 gil cattaneo <puntogil@libero.it> 0.8-1
- initial rpm
